# vim: set sw=4 ts=4 et:
# Copyright (c) 2006-2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%define soname 0

Summary:        Library for parsing Microsoft Media Streaming protocol
Name:           libmms%{soname}
Version: 0.6.2
Release: 1.11
License:        GNU Lesser General Public License version 2.1 or later (LGPL v2.1 or later)
Group:          System/Libraries
Source:         libmms-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
URL:            http://www.sf.net/projects/%{name}
BuildRequires:  glib2-devel
BuildRequires:  pkg-config
Provides:       libmms = 0.3
Obsoletes:      libmms < 0.3

%description
LibMMS is common library for parsing mms:// and mmsh:// type network
streams.

These are commonly used to stream Windows Media Video content over
the web.
LibMMS itself is only for receiving MMS stream, it doesn't handle
sending at all. If you need streaming functionality, look for other
protocol, such as RT(S)P. MMS is legacy thing, being closed with
no specs and abandoned even by its creator, the Microsoft Corp.

%package -n libmms-devel
Summary:        Libraries and includefiles for developing with libmms
Group:          Development/Languages/C and C++
Requires:       libmms%{soname} = %{version}

%description -n libmms-devel
This paackage provides the necessary development headers and
libraries to allow you to devel with libmms.

%prep
%setup -q -n libmms-%{version}

%build
%configure \
    --disable-static
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm %{buildroot}/%{_libdir}/libmms.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog README README.LICENSE
%{_libdir}/libmms.so.%{soname}
%{_libdir}/libmms.so.%{soname}.*

%files -n libmms-devel
%defattr(-, root, root)
%{_includedir}/libmms
%{_libdir}/libmms.so
%{_libdir}/pkgconfig/libmms.pc

%changelog
* Sun Mar  6 2011 reddwarf@opensuse.org
- update to 0.6.2
- New URL (project moved back to SF)
- Use download_url/recompress/set_version services
* Sun May  2 2010 toni@links2linux.de
- update to 0.5
- New URL (project moved to launchpad)
- Rework URL handling
- Increase buffer size for very long URLS and handle buffer overflow
* Thu Dec 28 2006 toni@links2linux.de
- renamed the formal parameters in the headers from *this to *instance
  as this confuses some gcc versions ...
* Sat Dec 16 2006 toni@links2linux.de
- update to 0.4
- changed package layout according Shared Library Packaging Policy
* Mon Nov 27 2006 toni@links2linux.de
- initial release 0.3
